package cn.com.ty.lift.business.common;

/**
 * @author wcz
 * @Description: 定义系统的一些常量
 * @date 2019/12/31 9:18
 */
public interface Values {

    //======================年检相关状态值和判断方法======================================
    /**
     * 年检未开始0
     */
    int AI_STEP_NOT_START = 0;

    /**
     * 判断年检是否开始
     * @param step
     * @return
     */
    static boolean aiNotStart(int step){
        return AI_STEP_NOT_START == step;
    }
    /**
     * 年检 第一阶段
     */
    int AI_STEP_ONE = 1;

    /**
     * 判断是否为年检阶段一
     * @param step
     * @return
     */
    static boolean aiStepOne(int step){
        return AI_STEP_ONE == step;
    }
    /**
     * 年检 第二阶段
     */
    int AI_STEP_TWO = 2;

    /**
     * 判断是否为年检阶段二
     * @param step
     * @return
     */
    static boolean aiStepTwo(int step){
        return AI_STEP_TWO == step;
    }
    /**
     * 年检 第三阶段
     */
    int AI_STEP_THREE = 3;

    /**
     * 判断是否为年检阶段三
     * @param step
     * @return
     */
    static boolean aiStepThree(int step){
        return AI_STEP_THREE == step;
    }
    /**
     * 年检 第四阶段
     */
    int AI_STEP_FOUR = 4;

    /**
     * 判断是否为年检阶段四
     * @param step
     * @return
     */
    static boolean aiStepFour(int step){
        return AI_STEP_FOUR == step;
    }

    /**
     * 0 年检计划初始状态
     */
    int AI_STATUS_NOT_START = 0;

    static boolean aiStatusNotStart(int status){
        return AI_STEP_NOT_START == status;
    }
    /**
     * 1  维保工确认年检计划
     */
    int AI_STATUS_CONFIRM = 1;
    String aiConfirm = "请确认年检计划";

    static boolean aiStatusConfirm(int status){
        return AI_STATUS_CONFIRM == status;
    }
    /**
     * 2  维保工上传自检报告,选择自检时间 或者 文员设置 是否检查限速器和荷载年检设置，
     *             文员也可以上传自检报告或者确认自检报告和自检时间，自检时间以最后设置的为准
     */
    int AI_STATUS_SELFCHECK = 2;

    String aiSelfcheckUpload = "请完善自检报告信息";
    String aiSelfcheckDate = "请设置自检时间";
    String aiSelfcheckReportImg = "请设置自检报告";

    static boolean aiStatusSelfcheck(int status){
        return AI_STATUS_SELFCHECK == status;
    }
    /**
     * 3  企业文员确认现场检验时间
     *             录入人员信息，政府质检，企业质检，联系电话
     */
    int AI_STATUS_CHECK_CONFIRM = 3;
    String aiCheckConfirm = "请确认检验结果";
    String aiCheckDate = "请设置现场检验时间";
    String aiCheckResultImg = "请设置现场检验结果";
    String aiInspector = "请设置政府质检人员";
    String aiOperator = "请设置公司质检人员";
    String aiTelephone = "请设置人员联系电话";

    static boolean aiStatusCheckConfirm(int status){
        return AI_STATUS_CHECK_CONFIRM == status;
    }
    /**
     * 4	维保工上传检验结果
     */
    int AI_STATUS_CHECK_UPLOAD = 4;

    static boolean aiStatusCheckUpload(int status){
        return AI_STATUS_CHECK_UPLOAD == status;
    }
    /**
     * 5	企业文员确认检验结果-合格 --> 不能算年检超期
     */
    int AI_STATUS_CHECK_QUALIFIED = 5;

    static boolean aiStatusCheckQualified(int status){
        return AI_STATUS_CHECK_QUALIFIED == status;
    }
    /**
     * 6	企业文员确认检验结果-整改 --> 回到第二阶段
     */
    int AI_STATUS_CHECK_RECTIFICATION = 6;

    static boolean aiStatusCheckRectification(int status){
        return AI_STATUS_CHECK_RECTIFICATION == status;
    }
    /**
     * 7	企业文员确认检验结果-不合格 --> 可以算年检超期
     */
    int AI_STATUS_CHECK_UNQUALIFIED = 7;

    static boolean aiStatusCheckUnqualified(int status){
        return AI_STATUS_CHECK_UNQUALIFIED == status;
    }
    /**
     * 8	维保工上传年检报告和合格证
     */
    int AI_STATUS_CERTIFICATE_REPORT_UPLOAD = 8;
    String aiCertificateReportUpload = "请上传年检报告和合格证";
    String aiCertificateUpload = "请设置年检报告";
    String aiReportUpload = "请设置合格证";

    static boolean aiStatusCertificateReportUpload(int status){
        return AI_STATUS_CERTIFICATE_REPORT_UPLOAD == status;
    }
    /**
     * 9	企业文员确认年检报告和合格证-合格
     */
    int AI_STATUS_CERTIFICATE_REPORT_QUALIFIED = 9;
    String aiNextInspectionTime = "请设置下次年检时间";

    static boolean aiStatusCertificateReportQualified(int status){
        return AI_STATUS_CERTIFICATE_REPORT_QUALIFIED == status;
    }
    /**
     * 10	企业文员确认年检报告和合格证-不合格 -->停用电梯
     */
    int AI_STATUS_CERTIFICATE_REPORT_UNQUALIFIED = 10;

    static boolean aiStatusCertificateReportUnqualified(int status){
        return AI_STATUS_CERTIFICATE_REPORT_UNQUALIFIED == status;
    }
    String aiStatusError = "年检状态有误";

    /**
     * 根据年检的状态值返回成年检的状态阶段
     * @param stepStatus
     * @return
     */
    static int aiStatus2StepName(Integer stepStatus){
        int stepName;
        switch (stepStatus){
            case AI_STATUS_NOT_START:
                stepName = 0;
                break;
            case AI_STATUS_CONFIRM:
            case AI_STATUS_SELFCHECK:
                stepName = 1;
                break;
            case AI_STATUS_CHECK_CONFIRM:
                stepName = 2;
                break;
            case AI_STATUS_CHECK_UPLOAD:
            case AI_STATUS_CHECK_QUALIFIED:
            case AI_STATUS_CHECK_RECTIFICATION:
            case AI_STATUS_CHECK_UNQUALIFIED:
                stepName = 3;
                break;
            case AI_STATUS_CERTIFICATE_REPORT_UPLOAD:
            case AI_STATUS_CERTIFICATE_REPORT_QUALIFIED:
            case AI_STATUS_CERTIFICATE_REPORT_UNQUALIFIED:
                stepName = 4;
                break;
            default:
                stepName = -1;
                break;
        }
        return stepName;
    }


    /**
     * 判断年检状态是否处于其他阶段之间 min < middle < max
     * @param middle
     * @param min
     * @param max
     * @return
     */
    static boolean aiInStatus(int min, int middle,int max){
        return min <= middle && middle <= max;
    }

    /**
     * 判断两个年检状态是否一样 one == two
     * @param one
     * @param two
     * @return
     */
    static boolean aiSameStatus(int one,int two){
        return one == two;
    }

    /**
     * 判断年检中一个状态是否为另一个状态的下一个状态
     * @param front
     * @param behind
     * @return
     */
    static boolean aiNextStatus(int front,int behind){
        return front + 1 == behind;
    }

    /**
     * 判断年检中两个状态相同或者为下一个状态
     * @param front
     * @param behind
     * @return
     */
    static boolean aiSameNext(int front,int behind){
        return front == behind || front + 1 == behind;
    }

    //==============================================================================

    //===================急修相关状态值和判断方法======================================
    /**
     * 急修状态（-1 暂停中）
     */
    int ER_STATUS_STOPING = -1;

    static boolean erStatusStoping(int status){
        return ER_STATUS_STOPING == status;
    }
    /**
     * 急修状态（0 待修理）
     */
    int ER_STATUS_TO_REPAIRED = 0;

    static boolean erStatusToRepaired(int status){
        return ER_STATUS_TO_REPAIRED == status;
    }
    /**
     * 急修状态（1 修理中）
     */
    int ER_STATUS_REPAIRING = 1;

    static boolean erStatusRepairing(int status){
        return ER_STATUS_REPAIRING == status;
    }
    /**
     * 急修状态（2 完成）
     */
    int ER_STATUS_FINISH = 2;

    static boolean erStatusFinish(int status){
        return ER_STATUS_FINISH == status;
    }
    /**
     * 急修状态（3 关闭）
     */
    int ER_STATUS_CLOSE = 3;
    static boolean erStatusClose(int status){
        return ER_STATUS_CLOSE == status;
    }
    String erHaveUnfinisedRepair = "该电梯存在未完成的急修，无法创建";
    String erRepairHadTaked = "急修已经接单，不能转派";
    String erMissingReason = "缺少原因描述";
    String erMissingHandleDate = "缺少处理时间";
    String erMissionPosition = "缺少地理位置信息";
    String erMustToRepair = "待急修才能操作";
    String erMustInRepairing = "急修中才能操作";
    String erSafetyConfirm = "请完成安全确认";
    String erMissingCost = "缺少收费项";
    String erMissingFault = "缺少故障信息";
    String erMissingSign = "请签名";
    String erMustFinish = "急修完成后才能操作";
    String erHadEvaluate = "急修已经评价了";

    //==============================================================================

    //===================上传相关状态值和判断方法======================================
    /**
     * 图片上传最大大小10M * 1024 * 1024
     */
    long uploadMaxSizePic = 10 << 20;
    /**
     * 文件上传最大大小50M * 1024 * 1024
     */
    long uploadMaxSizeFile = 50 << 20;
    /**
     * 视频上传最大大小100M * 1024 * 1024
     */
    long uploadMaxSizeVideo = 100 << 20;

    /**
     * 上传图片文件类型
     */
    String[] pics = {".jpg",".jpeg", ".png", ".bmp", ".gif"};
    /**
     * 上传其他文件类型
     */
    String[] files = {".pdf",".txt",".rar",".zip",".7z", ".xls", ".xlsx", ".doc",".docx",".ppt",".pptx"};
    /**
     * 上传视频文件类型
     */
    String[] videos = {".mov",".mp4", ".avi",".mpg",".mpeg",".rm",".rmvb",".wmv"};

    String missingFileData = "没有文件数据";

    String uploadFileFail = "上传文件失败";
    //==============================================================================
}
